## org.apache.sling.extensions.threaddump.internal
Class Activator

    java.lang.Object
      org.apache.sling.extensions.threaddump.internal.Activator

All Implemented Interfaces:
  java.lang.Thread.UncaughtExceptionHandler, org.osgi.framework.BundleActivator

    public class Activator

extends java.lang.Object
implements org.osgi.framework.BundleActivator, java.lang.Thread.UncaughtExceptionHandler

Constructor Summary
`Activator()`

Method Summary
`void` `start(org.osgi.framework.BundleContext bundleContext)`
`void` `stop(org.osgi.framework.BundleContext bundleContext)`
`void` `uncaughtException(java.lang.Thread t, java.lang.Throwable e)` Logs the uncaught exception for the thread at level ERROR and chains to the old handler, which was installed before this handler has been installed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext bundleContext)

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`

### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`

### uncaughtException

    public void uncaughtException(java.lang.Thread t,
                                  java.lang.Throwable e)

  Logs the uncaught exception for the thread at level ERROR and chains to the old handler, which was installed before this handler has been installed.

  Specified by:
    `uncaughtException` in interface `java.lang.Thread.UncaughtExceptionHandler`
  Parameters:
    `t` - The `Thread` which got the exception but did not handle it.
    `e` - The uncaught `Throwable` causing the thread to die.

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.